# Generated by Django 2.0.5 on 2019-01-03 06:45

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0047_customer_network_note'),
    ]

    operations = [
        migrations.CreateModel(
            name='CustomerEscalation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('escalation_priority', models.CharField(choices=[('PRIMARY', 'PRIMARY'), ('SECONDARY', 'SECONDARY'), ('TERTIARY', 'TERTIARY')], max_length=30)),
                ('escalation_type', models.CharField(choices=[('During business hours', 'During business hours'), ('Outside of business hours', 'Outside of business hours')], max_length=30)),
                ('authorize_charges', models.NullBooleanField(default=None)),
                ('authorize_changes', models.NullBooleanField(default=None)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
